# frozen_string_literal: true

class CommitCheck
  def self.fail?(message, options)
    new(message, options || {}).fail?
  end

  def initialize(message, options = {})
  end

  def message
    raise NotImplementedError, 'implement in subclass'
  end

  def fail?
    raise NotImplementedError, 'implement in subclass'
  end
end
